PLEASE JOIN MY DISCORD SERVER IF YOU HAVE ANY FEEDBACK https://discord.gg/w5QBHx5WNP

## Rex Changes:

These REX changes are focused on giving them slightly riskier gameplay, almost to invoke the unique feel of REX as they were when they first released in Scorched Acres but with the QOL improvements of Hidden Realms. 

```
	Primary:
- syringe damage reduced from 80% to 80%
- syringe healing reduced from 60% to 30% (of damage dealt)

	Secondary:
- barrage damage increased to 600%
- barrage cooldown increased to 0.75s
- drill cooldown reduced to 4s

	Utility:
- bramble volley healing reduced from 10% of max health to 7% of max health

	Special:
- harvest now executes enemies below 15% health
- reduced "endlag" after casting harvest to 0.5s
```

## Bandit Changes:

The BANDIT changes give them more of a cooldown-juggling style of gameplay. It's slower, but more rewarding, with a higher emphasis on using Lights Out to dish extra damage in bursts. Backstabbing with secondaries is made easier and more viable with extra stealth, mobility, and damage. 

Desperado, too, has been buffed considerably to compensate for Lights Out's new prominence!

```
	Primary:
- shotgun damage reduced to 5x75%
- rifle damage reduced to 280%
- rifle bloom reduced
- reload speed for both primaries increased (0.5s -> 0.7s)

	Secondary:
- dagger damage increased to 600%
- dagger ACTUALLY lunges
- shiv damage increased to 400% 
- cooldown for both secondaries increased to 5s
- hemmorhage changed to deal more damage to targets with more health (makes it easier to execute with specials)

	Utility:
- stealth duration increased (3s -> 4s)
- stealth cooldown increased to 9s
- stealth hop velocity reduced

	Special:
- lights out damage increased to 700%
- lights out cooldown increased to 5s
- desperado damage reduced to 250%
- desperado cooldown reduced to 3s
- desperado now keeps a few tokens between stages, based on bandits current level
- both specials now execute targets below 15% health for 1s after getting hit (for flavor and consistency)
```

## Acrid Changes

Acrid changes are focused mostly on discouraging Acrid users from sitting back and kiting enemies for most of the game. It's still very possible, but there is new downtime in which using melee or poisoning single targets with your secondary would be a good idea. Many of these changes are intended to help Acrid feel more fluid in combat, to support the aggressive play style Acrid was meant to have.

```
- Increased base movement speed to 8 m/s

	Passive:
- Reduced Poison duration to 8s

	Primary:
- DOUBLED attack speed

	Secondary:
- Increased Neurotoxin cooldown to 3s
- Increased Neurotoxin damage to 360%
- Increased Bite cooldown to 3s
- Increased Bite damage to 460%
- Added a little lunge to Bite

	Utility:
- Reduced Caustic Leap cooldown to 5s
- Reduced Frenzied Leap cooldown to 8s
- Reduced "Minimum Y Direction" of both leaps (can be aimed further downwards)

	Special:
- Increased Epidemic cooldown to 12s
- Increased damage to 200%
- Increased spread radius to 100m
```

## Captain Changes

The Captain changes are, like that of Bandit, mostly focused on making him less of a "m1 character". Less of his gameplay is skewed towards spamming primary attacks all the time, and instead on the interesting quirks that arise from his unique kit. For Captain, that means area denial and general crowd control.

```
	Microbots:
- Now attacks about 1/3 as often

	Primary:
- Now has a 1.5s cooldown, resetting when firing
- Has 2 charges, both recharging at once
- 100% damage and 0.5 proc coefficient per bullet
- Added ONE new skill

	Secondary:
- Increased blast radius (2m -> 6m)
- Deals 250% damage, or 500% damage after it bounces
- Reduced cooldown (6s -> 5s)
- Added TWO new skills

	Utility:
- diablo strike now bypasses oneshot protection

	Special:
- ALL beacons are now refunded at the start of the teleporter event
- Radius of heal + shock beacons increased to 12m
- Increased Shock Beacon fire rate to once every 2s
- Increased Shock Beacon damage (50%, 0.4 proc coefficient)
- Increased Shock Beacon force
- Increased Hack Beacon hack time (15s per chest cost -> 30s per chest cost)
- Resupply beacon now grants 25% CDR to nearby allies
```

## Engineer Changes

pressure mine

```
	Pressure Mine:
- increased blast radius of both stages to be 2m larger than trigger area
- reduced arm time (3s -> 2s)
```

## MUL-T Changes

Mostly just QOL! Some of these changes in particular are meant to help encourage MUL-T to more actively switch between different weapons.

```
	General:
- Increased base move speed to 9
- Reduced acceleration to 25

	Nailgun:
- Removed corkscrew pattern introduced in CU6
- Now always fires it's nail blast when the attack ends

	Scrap Launcher:
- No longer resets it's cooldown when firing
- Cooldown increased (1.5s -> 3s)
- Base duration reduced (0.3s -> 0.2s)
- Scrap projectile is now affected by slight gravity
- Projectile speed increased (100 -> 150)

	Retool:
- Now grants an armor buff while switching weapons
- Swap duration increased to 0.75s
- Cooldown increased to 1.5s

	Power Mode:
- (IF BALANCEOVERHAULRBO IS NOT LOADED) Gives its own 20% attack speed penalty
```

## Commando Changes

Commando has been deserving of some kit love since day 1! The hope with these changes is that it will help Commando feel more versatile with kit options, and less like he must be played a certain way or with a certain set of skills.

```
	Secondary:
- Increased Phase Round cooldown (3s -> 5s)
- Increased Phase Round base damage (300% -> 500%)
- Increased Phase Round projectile size by 2x
- Increased Phase Blast cooldown (3s -> 5s)
- Increased Phase Blast damage (200% per bullet -> 250%)

	Utility:
- Increased Tactical Dive max stock (1 -> 2)
- Increased Tactical Slide cooldown (4s -> 5s)

	Special:
- Increased Suppressive Fire damage (100% per bullet -> 120%)
- Reduced Suppressive Fire cooldown (9s -> 8s)
```

## Changelog:
### 2.6.0: Commando tweaks!
```
	Commando:
- Increased Phase Round cooldown (3s -> 5s)
- Increased Phase Round base damage (300% -> 500%)
- Increased Phase Round projectile size by 2x
- Increased Phase Blast cooldown (3s -> 5s)
- Increased Phase Blast damage (200% per bullet -> 250%)
- Increased Tactical Dive max stock (1 -> 2)
- Increased Tactical Slide cooldown (4s -> 5s)
- Increased Suppressive Fire damage (100% per bullet -> 120%)
- Reduced Suppressive Fire cooldown (9s -> 8s)

	Captain:
- Fixed Pocket Wormhole skill not making Eccentric Vase enigma-incompatible
```

### 2.5.6
```
	Acrid:
- slightly reduced acrid bite boost force
- added compatability with AcridBiteLunge by Withor
- increased damage and cooldown of spit and bite

	Captain:
- Reduced Vulcan Slug cooldown (2 -> 1.5)
- Added a small amount of self force to Vulcan Slug
(There was no reason for slug to be so slow! It was simply weaker than shotgun. These changes should make it less of a Vulcan SLOG to use ;) )
- Increased Wormhole firing delay (0.6 -> 0.8)
- Updated Thermal Cannon firing behavior + SFX
```

### 2.5.5
```
- increased rex m1 damage back to 80%
- reduced rex m1 heal fraction to 30% (healing should stay roughly the same)
- increased rex alt utility heal fraction to 7% of max health
- added a config option to disable captain beacons refreshing when the teleporter event begins
- fixed a (harmless?) bug with desperado tokens failing to transfer from nothing at the beginning of every run
```

### 2.5.3
```
- reduced bandit reload time to 0.7s
- reduced desperado damage to 250%
```

### 2.5.2
```
- reduced pressure mine arm time
```

### 2.5.0
```
- captain skills
```

### 2.4.0
```
- MUL-T
- Actually compatible with latest R2API
```

### 2.3.2
```
- Engineer
- Compatible with latest R2API
```

### 2.3.1
```
- consolidated execution effects into a single consistent behavior
- added Execution keyword
- fixed some lang errors
```

### 2.3.0
```
- rex pass 2
- captain beacon + diablo stuff
```
### 2.2.1
```
- adjusted beacon radii
- adjusted shock beacon force + proc coeff
- adjusted hack time
- updated hemmorhage keyword to more accurately reflect new behavior
- increased acrid's move speed
```

### 2.2.0
```
captain
```

### 2.1.0
```
added acrid changes
```

### 2.0.3
```
added behavior to keep desperado tokens between stages
```

### 2.0.2
```
fixed some stuff in the readme 
```

### 2.0.1
```
	Bandit:
- Fixed a bug where Dagger was having way more force than intended
- Fixed a bug where Smoke Bomb was having a little less bounce than intended
- Fixed a bug where the primary reload speed was a little faster than intended
- Fixed a bug where the stealth duration changes werent actually working
- Fixed a bug where Desperado damage would not increase with additional tokens
- Added new Hemmorhage behavior
- Added new execution behavior for both specials
```

### 2.0.0
```
- Release ver; migrated from RexTweaks
- Added bandit tweaks
```